"use strict"; function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } } function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }Object.defineProperty(exports, "__esModule", {value: true});var _sourcemap = require('source-map'); var _sourcemap2 = _interopRequireDefault(_sourcemap);


/**
 * Generate a simple source map indicating that each line maps directly to the original line.
 */
 function computeSourceMap(
  code,
  filePath,
  {compiledFilename},
) {
  const mapGenerator = new _sourcemap2.default.SourceMapGenerator({file: compiledFilename});
  let numLines = 1;
  for (let i = 0; i < code.length; i++) {
    if (code[i] === "\n") {
      numLines++;
    }
  }
  for (let line = 1; line <= numLines; line++) {
    mapGenerator.addMapping({
      source: filePath,
      generated: {line, column: 0},
      original: {line, column: 0},
    });
  }
  return mapGenerator.toJSON();
} exports.default = computeSourceMap;
